curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '
{
"skillId": "<string>",
"generateMobileInputLink": false,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions"
payload = {
"skillId": "<string>",
"generateMobileInputLink": False,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify({
skillId: '<string>',
generateMobileInputLink: false,
registrationParameters: [{key: '<string>', value: '<string>'}],
skillParameters: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isShortLink": true,
"mobileInputLink": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}Crée une transaction de traitement
Crée une transaction qui servira à traiter des fichiers.
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Paramètres de création de Transaction
Identifiant de la compétence à appliquer aux fichiers
1Générer une URL pour lancer la saisie mobile avec un jeton d’authentification à usage unique, afin d’insérer une image dans une transaction spécifique
Paramètres d’enregistrement supplémentaires pour une transaction
10Show child attributes
Show child attributes
Paramètres du Skill pour une transaction
10Show child attributes
Show child attributes
Réponse
Transaction créée avec succès
Le lien d’entrée mobile est-il un lien court qui fait référence au lien d’entrée mobile d’origine ?
Lien de saisie mobile contenant un jeton d’authentification à usage unique pour la transaction en cours. Le Parameter est renvoyé lorsque generateMobileInputLink=true
Cette page vous a-t-elle été utile ?
